Use this endpoint to post a redemption of points using standard rewards.
NoteThis endpoint will deduct the full reward’s item_value when status:active
What is New?
| Method | Endpoint | Query Param |
|---|---|---|
| PATCH | /pos/v1/members/{pos_user}/rewards/{reward_id}/redeem | Status |
status
The new status attribute can be included in the body of the call and allows the following values to determine how to process a reward redemption that is true to its status.
pending - This status determines that the redemption is not yet ready to be executed. This means the points will not be deducted from the customer during this state.
A good use case for this status is when a reward is added to the shopping cart the sale is not yet finalized. This helps springbig and 3rd party integrators learn the customer’s true point balance.
i.e member.balance - (minus) reward.item_value where status = pending
completed - This status will process the redemption and deduct the points instantaneously.
A good use case is to include this status when the reward is ready to be executed
cancelled - This status will not redeem the reward and will instead cancel the reward attempt.
A good-use case will be to include this status if the customer removes the reward from the shopping cart.
expired - This status will not redeem the reward.
if the reward redemption exceeds 3 days change the status to expired
by default, if the status is omitted on a call make status=completed unless explicitly included on the POST call to modify the status=pending, canceled

